### Virtual Method

# GObject Object dispose

#### Declaration [src]

    void
    dispose (
      GObject* object
    )

#### Description [src]

The `dispose` function is supposed to drop all references to other objects, but keep the instance otherwise intact, so that client method invocations still work. It may be run multiple times (due to reference loops). Before returning, `dispose` should chain up to the `dispose` method of the parent class.